| v_hdmitxss Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XV_HdmiTxSs Struct Reference

The XVprocss driver instance data. More...

## Data Fields
XV_HdmiTxSs_Config | Config
| Hardware configuration. More...
u32 | IsReady
| Device and the driver instance are initialized. More...
u8 | AppMajVer
| Major Version of application used by the driver. More...
u8 | AppMinVer
| Minor Version of application used by the driver. More...
XV_HdmiTxSs_Log | Log
| A log of events. More...
XV_HdmiTx * | HdmiTxPtr
| handle to sub-core driver instance More...
XVtc * | VtcPtr
| handle to sub-core driver instance More...
XV_HdmiTxSs_Callback | ConnectCallback
| Callback for connect event. More...
void * | ConnectRef
| To be passed to the connect callback. More...
XV_HdmiTxSs_Callback | ToggleCallback
| Callback for toggle event. More...
void * | ToggleRef
| To be passed to the toggle callback. More...
XV_HdmiTxSs_Callback | BrdgUnlockedCallback
| Callback for Bridge UnLocked event interrupt. More...
void * | BrdgUnlockedRef
| To be passed to the Bridge Unlocked interrupt callback. More...
XV_HdmiTxSs_Callback | BrdgOverflowCallback
| Callback for Bridge Overflow event interrupt. More...
void * | BrdgOverflowRef
| To be passed to the Bridge Overflow interrupt callback. More...
XV_HdmiTxSs_Callback | BrdgUnderflowCallback
| Callback for Bridge Underflow event interrupt. More...
void * | BrdgUnderflowRef
| To be passed to the Bridge Underflow interrupt callback. More...
XV_HdmiTxSs_Callback | VsCallback
| Callback for Vsync event. More...
void * | VsRef
| To be passed to the Vsync callback. More...
XV_HdmiTxSs_Callback | StreamDownCallback
| Callback for stream down. More...
void * | StreamDownRef
| To be passed to the stream down callback. More...
XV_HdmiTxSs_Callback | StreamUpCallback
| Callback for stream up. More...
void * | StreamUpRef
| To be passed to the stream up callback. More...
u8 | SamplingRate
| HDMI TX Sampling rate. More...
u8 | IsStreamConnected
| HDMI TX Stream Connected. More...
u8 | IsStreamUp
| HDMI TX Stream Up. More...
u8 | IsStreamToggled
| HDMI TX Stream Toggled. More...
u8 | AudioEnabled
| HDMI TX Audio Enabled. More...
u8 | AudioMute
| HDMI TX Audio Mute. More...
u8 | AudioChannels
| Number of Audio Channels. More...
XHdmiC_AVI_InfoFrame | AVIInfoframe
| AVI InfoFrame. More...
XHdmiC_AudioInfoFrame | AudioInfoframe
| Audio InfoFrame. More...
XHdmiC_VSIF | VSIF
| Vendor Specific InfoFrame. More...
XHdmiC_DRMInfoFrame | DrmInfoframe
| DRM Infoframe. More...
XV_HdmiTxSs_HdcpProtocol | HdcpProtocol
| HDCP protocol selected. More...

## Detailed Description

The XVprocss driver instance data.

The user is required to allocate a variable of this type for every XVprocss device in the system. A pointer to a variable of this type is then passed to the driver API functions.

## Field Documentation

u8 XV_HdmiTxSs::AppMajVer

Major Version of application used by the driver.

Referenced by XV_HdmiTxSs_CfgInitialize(), and XV_HdmiTxSS_SetAppVersion().

u8 XV_HdmiTxSs::AppMinVer

Minor Version of application used by the driver.

Referenced by XV_HdmiTxSs_CfgInitialize(), and XV_HdmiTxSS_SetAppVersion().

u8 XV_HdmiTxSs::AudioChannels

Number of Audio Channels.

Referenced by XV_HdmiTxSs_SetAudioChannels().

u8 XV_HdmiTxSs::AudioEnabled

HDMI TX Audio Enabled.

XHdmiC_AudioInfoFrame XV_HdmiTxSs::AudioInfoframe

Audio InfoFrame.

Referenced by XV_HdmiTxSs_CfgInitialize(), XV_HdmiTxSs_GetAudioInfoframe(), and XV_HdmiTxSs_SetAudioChannels().

u8 XV_HdmiTxSs::AudioMute

HDMI TX Audio Mute.

XHdmiC_AVI_InfoFrame XV_HdmiTxSs::AVIInfoframe

AVI InfoFrame.

Referenced by XV_HdmiTxSs_CfgInitialize(), and XV_HdmiTxSs_GetAviInfoframe().

XV_HdmiTxSs_Callback XV_HdmiTxSs::BrdgOverflowCallback

Callback for Bridge Overflow event interrupt.

Referenced by XV_HdmiTxSs_SetCallback().

void* XV_HdmiTxSs::BrdgOverflowRef

To be passed to the Bridge Overflow interrupt callback.

Referenced by XV_HdmiTxSs_SetCallback().

XV_HdmiTxSs_Callback XV_HdmiTxSs::BrdgUnderflowCallback

Callback for Bridge Underflow event interrupt.

Referenced by XV_HdmiTxSs_SetCallback().

void* XV_HdmiTxSs::BrdgUnderflowRef

To be passed to the Bridge Underflow interrupt callback.

Referenced by XV_HdmiTxSs_SetCallback().

XV_HdmiTxSs_Callback XV_HdmiTxSs::BrdgUnlockedCallback

Callback for Bridge UnLocked event interrupt.

Referenced by XV_HdmiTxSs_SetCallback().

void* XV_HdmiTxSs::BrdgUnlockedRef

To be passed to the Bridge Unlocked interrupt callback.

Referenced by XV_HdmiTxSs_SetCallback().

XV_HdmiTxSs_Config XV_HdmiTxSs::Config

Hardware configuration.

Referenced by XV_HdmiTxSs_CfgInitialize(), XV_HdmiTxSs_SetDefaultPpc(), XV_HdmiTxSS_SetHpdTolerance(), XV_HdmiTxSs_SetPpc(), XV_HdmiTxSs_SetStream(), XV_HdmiTxSs_SubcoreInitHdmiTx(), and XV_HdmiTxSs_SubcoreInitVtc().

XV_HdmiTxSs_Callback XV_HdmiTxSs::ConnectCallback

Callback for connect event.

Referenced by XV_HdmiTxSs_SetCallback().

void* XV_HdmiTxSs::ConnectRef

To be passed to the connect callback.

Referenced by XV_HdmiTxSs_SetCallback().

XHdmiC_DRMInfoFrame XV_HdmiTxSs::DrmInfoframe

DRM Infoframe.

Referenced by XV_HdmiTxSs_CfgInitialize(), and XV_HdmiTxSs_GetDrmInfoframe().

XV_HdmiTxSs_HdcpProtocol XV_HdmiTxSs::HdcpProtocol

HDCP protocol selected.

Referenced by XV_HdmiTxSs_CfgInitialize().

XV_HdmiTx* XV_HdmiTxSs::HdmiTxPtr

handle to sub-core driver instance

Referenced by XV_HdmiTxSs_AudioMute(), XV_HdmiTxSs_CfgInitialize(), XV_HdmiTxSs_ClearGcpAvmuteBit(), XV_HdmiTxSs_ClearGcpClearAvmuteBit(), XV_HdmiTxSs_DetectHdmi20(), XV_HdmiTxSs_GetAudioFormat(), XV_HdmiTxSs_GetAuxiliary(), XV_HdmiTxSs_GetTmdsClockFreqHz(), XV_HdmiTxSs_GetVideoStream(), XV_HdmiTxSS_HdmiTxIntrHandler(), XV_HdmiTxSS_IsMasked(), XV_HdmiTxSS_MaskDisable(), XV_HdmiTxSS_MaskEnable(), XV_HdmiTxSS_MaskNoise(), XV_HdmiTxSS_MaskSetBlue(), XV_HdmiTxSS_MaskSetGreen(), XV_HdmiTxSS_MaskSetRed(), XV_HdmiTxSs_ReadEdid(), XV_HdmiTxSs_ReadEdidSegment(), XV_HdmiTxSs_RefClockChangeInit(), XV_HdmiTxSs_SendAuxInfoframe(), XV_HdmiTxSs_SendGenericAuxInfoframe(), XV_HdmiTxSs_SetAudioChannels(), XV_HdmiTxSs_SetAudioFormat(), XV_HdmiTxSS_SetBackgroundColor(), XV_HdmiTxSS_SetDviMode(), XV_HdmiTxSs_SetGcpAvmuteBit(), XV_HdmiTxSs_SetGcpClearAvmuteBit(), XV_HdmiTxSS_SetHdmiMode(), XV_HdmiTxSs_SetScrambler(), XV_HdmiTxSs_SetStream(), XV_HdmiTxSs_SetTmdsClockRatio(), XV_HdmiTxSs_SetVideoIDCode(), XV_HdmiTxSs_SetVideoStream(), XV_HdmiTxSs_SetVideoStreamScramblingFlag(), XV_HdmiTxSs_SetVideoStreamScramblingOverrideFlag(), XV_HdmiTxSs_StreamStart(), XV_HdmiTxSs_SubcoreInitHdmiTx(), XV_HdmiTxSs_SYSRST(), XV_HdmiTxSs_TXCore_LRST(), XV_HdmiTxSs_TXCore_VRST(), and XV_HdmiTxSs_VRST().

u32 XV_HdmiTxSs::IsReady

Device and the driver instance are initialized.

Referenced by XV_HdmiTxSs_CfgInitialize().

u8 XV_HdmiTxSs::IsStreamConnected

HDMI TX Stream Connected.

Referenced by XV_HdmiTxSs_IsStreamConnected(), XV_HdmiTxSs_ReadEdid(), XV_HdmiTxSs_ReadEdidSegment(), and XV_HdmiTxSs_ShowEdid().

u8 XV_HdmiTxSs::IsStreamToggled

HDMI TX Stream Toggled.

Referenced by XV_HdmiTxSs_IsStreamToggled().

u8 XV_HdmiTxSs::IsStreamUp

HDMI TX Stream Up.

Referenced by XV_HdmiTxSs_IsStreamUp().

XV_HdmiTxSs_Log XV_HdmiTxSs::Log

A log of events.

Referenced by XV_HdmiTxSs_LogRead(), XV_HdmiTxSs_LogReset(), and XV_HdmiTxSs_LogWrite().

u8 XV_HdmiTxSs::SamplingRate

HDMI TX Sampling rate.

Referenced by XV_HdmiTxSs_SetSamplingRate().

XV_HdmiTxSs_Callback XV_HdmiTxSs::StreamDownCallback

Callback for stream down.

Referenced by XV_HdmiTxSs_SetCallback().

void* XV_HdmiTxSs::StreamDownRef

To be passed to the stream down callback.

Referenced by XV_HdmiTxSs_SetCallback().

XV_HdmiTxSs_Callback XV_HdmiTxSs::StreamUpCallback

Callback for stream up.

Referenced by XV_HdmiTxSs_SetCallback().

void* XV_HdmiTxSs::StreamUpRef

To be passed to the stream up callback.

Scratch pad

Referenced by XV_HdmiTxSs_SetCallback().

XV_HdmiTxSs_Callback XV_HdmiTxSs::ToggleCallback

Callback for toggle event.

Referenced by XV_HdmiTxSs_SetCallback().

void* XV_HdmiTxSs::ToggleRef

To be passed to the toggle callback.

Referenced by XV_HdmiTxSs_SetCallback().

XV_HdmiTxSs_Callback XV_HdmiTxSs::VsCallback

Callback for Vsync event.

Referenced by XV_HdmiTxSs_SetCallback().

XHdmiC_VSIF XV_HdmiTxSs::VSIF

Vendor Specific InfoFrame.

Referenced by XV_HdmiTxSs_CfgInitialize(), and XV_HdmiTxSs_GetVSIF().

void* XV_HdmiTxSs::VsRef

To be passed to the Vsync callback.

Referenced by XV_HdmiTxSs_SetCallback().

XVtc* XV_HdmiTxSs::VtcPtr

handle to sub-core driver instance

Referenced by XV_HdmiTxSs_CfgInitialize(), XV_HdmiTxSs_Stop(), and XV_HdmiTxSs_SubcoreInitVtc().